Apache log4cxx: LogLog Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LogLog Class Reference

List of all members.

## Detailed Description

This class used to output log statements from within the log4cxx package.

Log4cxx components cannot make log4cxx logging calls. However, it is sometimes useful for the user to learn about what log4cxx is doing. You can enable log4cxx internal logging by calling the setInternalDebugging method.

All log4cxx internal debug calls go to standard output where as internal error messages are sent to standard error output. All internal messages are prepended with the string "log4cxx: ".

## Static Public Member Functions
static void | setInternalDebugging (bool enabled)
| Allows to enable/disable log4cxx internal logging.
static void | debug (const LogString &msg)
| This method is used to output log4cxx internal debug statements.
static void | debug (const LogString &msg, const std::exception &e)
static void | error (const LogString &msg)
| This method is used to output log4cxx internal error statements.
static void | error (const LogString &msg, const std::exception &e)
static void | setQuietMode (bool quietMode)
| In quiet mode LogLog generates strictly no output, not even for errors.
static void | warn (const LogString &msg)
| This method is used to output log4cxx internal warning statements.
static void | warn (const LogString &msg, const std::exception &e)

## Member Function Documentation

static void debug | ( | const LogString & | msg,
|  | const std::exception & | e
| ) | `[static]`

static void debug | ( | const LogString & | msg | ) | `[static]`

| This method is used to output log4cxx internal debug statements. Output goes to the standard output.

static void error | ( | const LogString & | msg,
|  | const std::exception & | e
| ) | `[static]`

static void error | ( | const LogString & | msg | ) | `[static]`

| This method is used to output log4cxx internal error statements. There is no way to disable error statements. Output goes to stderr.

static void setInternalDebugging | ( | bool | enabled | ) | `[static]`

| Allows to enable/disable log4cxx internal logging.

static void setQuietMode | ( | bool | quietMode | ) | `[static]`

  | In quiet mode LogLog generates strictly no output, not even for errors. Parameters:
  | quietMode | `true` for no output.

static void warn | ( | const LogString & | msg,
|  | const std::exception & | e
| ) | `[static]`

static void warn | ( | const LogString & | msg | ) | `[static]`

| This method is used to output log4cxx internal warning statements. There is no way to disable warning statements. Output goes to stderr.

The documentation for this class was generated from the following file:

- loglog.h